<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\HonorarAbnahme;

use Kufer\Web\KuferTools\Dozent\HonorarAbnahme\HandleHonorarAbnahme;
use Kufer\Web\KuferTools\Dozent\HonorarAbnahme\HonorarAbnahmeUebersicht;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'honorarAbnahmeUebersicht':
        return new HonorarAbnahmeUebersicht\HonorarAbnahmeUebersichtController();
      case 'setFilterHonorarAbnahmeUebersicht':
        return new HonorarAbnahmeUebersicht\HonorarAbnahmeUebersichtSetFilterController();
      case 'resetFilterHonorarAbnahmeUebersicht':
        return new HonorarAbnahmeUebersicht\HonorarAbnahmeUebersichtResetFilterController();
      case 'honorarAbnahmeAkzeptieren':
        return new HandleHonorarAbnahme\HonorarAbnahmeAkzeptieren\HonorarAbnahmeAkzeptierenController();
      case 'honorarAbnahmeAblehnen':
        return new HandleHonorarAbnahme\HonorarAbnahmeAblehnen\HonorarAbnahmeAblehnenController();
      case 'honorarAbnahmeAblehnenDialog':
        return new HandleHonorarAbnahme\HonorarAbnahmeAblehnen\HonorarAbnahmeAblehnenDialogController();
      case 'honorarAbnahmeBelege':
        return new HonorarBelege\HonorarBelegeDialogController();
      case 'honorarAbnahmeBelegDownload':
        return new HonorarBelege\HonorarBelegeDownloadController();
    }
  }
}